Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.rds.model
Class CreateDBInstanceRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.rds.model.CreateDBInstanceRequest

    public class CreateDBInstanceRequest

extends AmazonWebServiceRequest

Container for the parameters to the `CreateDBInstance operation`.

This API creates a new DB instance.

See Also:
  `AmazonRDS.createDBInstance(CreateDBInstanceRequest)`

Constructor Summary
`CreateDBInstanceRequest()`

Method Summary
`Integer` | `getAllocatedStorage()` The amount of storage (in gigabytes) to be initially allocated for the database instance.
`String` | `getAvailabilityZone()` The EC2 Availability Zone that the database instance will be created in.
`Integer` | `getBackupRetentionPeriod()` The number of days for which automated backups are retained.
`String` | `getDBInstanceClass()` The compute and memory capacity of the DB Instance.
`String` | `getDBInstanceIdentifier()` The DB Instance identifier.
`String` | `getDBName()` The name of the database to create when the DB Instance is created.
`String` | `getDBParameterGroupName()` The name of the database parameter group to associate with this DB instance.
`List<String>` | `getDBSecurityGroups()` A list of DB Security Groups to associate with this DB Instance.
`String` | `getEngine()` The name of the database engine to be used for this instance.
`String` | `getMasterUsername()` The name of master user for the client DB Instance.
`String` | `getMasterUserPassword()` The password for the master DB Instance user.
`Boolean` | `getMultiAZ()` Returns the value of the MultiAZ property for this object.
`Integer` | `getPort()` The port number on which the database accepts connections.
`String` | `getPreferredBackupWindow()` The daily time range during which automated backups are created if automated backups are enabled, as determined by the BackupRetentionPeriod.
`String` | `getPreferredMaintenanceWindow()` The weekly time range (in UTC) during which system maintenance can occur.
`Boolean` | `isMultiAZ()` Returns the value of the MultiAZ property for this object.
`void` | `setAllocatedStorage(Integer allocatedStorage)` The amount of storage (in gigabytes) to be initially allocated for the database instance.
`void` | `setAvailabilityZone(String availabilityZone)` The EC2 Availability Zone that the database instance will be created in.
`void` | `setBackupRetentionPeriod(Integer backupRetentionPeriod)` The number of days for which automated backups are retained.
`void` | `setDBInstanceClass(String dBInstanceClass)` The compute and memory capacity of the DB Instance.
`void` | `setDBInstanceIdentifier(String dBInstanceIdentifier)` The DB Instance identifier.
`void` | `setDBName(String dBName)` The name of the database to create when the DB Instance is created.
`void` | `setDBParameterGroupName(String dBParameterGroupName)` The name of the database parameter group to associate with this DB instance.
`void` | `setDBSecurityGroups(Collection<String> dBSecurityGroups)` A list of DB Security Groups to associate with this DB Instance.
`void` | `setEngine(String engine)` The name of the database engine to be used for this instance.
`void` | `setMasterUsername(String masterUsername)` The name of master user for the client DB Instance.
`void` | `setMasterUserPassword(String masterUserPassword)` The password for the master DB Instance user.
`void` | `setMultiAZ(Boolean multiAZ)` Sets the value of the MultiAZ property for this object.
`void` | `setPort(Integer port)` The port number on which the database accepts connections.
`void` | `setPreferredBackupWindow(String preferredBackupWindow)` The daily time range during which automated backups are created if automated backups are enabled, as determined by the BackupRetentionPeriod.
`void` | `setPreferredMaintenanceWindow(String preferredMaintenanceWindow)` The weekly time range (in UTC) during which system maintenance can occur.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`CreateDBInstanceRequest` | `withAllocatedStorage(Integer allocatedStorage)` The amount of storage (in gigabytes) to be initially allocated for the database instance.
`CreateDBInstanceRequest` | `withAvailabilityZone(String availabilityZone)` The EC2 Availability Zone that the database instance will be created in.
`CreateDBInstanceRequest` | `withBackupRetentionPeriod(Integer backupRetentionPeriod)` The number of days for which automated backups are retained.
`CreateDBInstanceRequest` | `withDBInstanceClass(String dBInstanceClass)` The compute and memory capacity of the DB Instance.
`CreateDBInstanceRequest` | `withDBInstanceIdentifier(String dBInstanceIdentifier)` The DB Instance identifier.
`CreateDBInstanceRequest` | `withDBName(String dBName)` The name of the database to create when the DB Instance is created.
`CreateDBInstanceRequest` | `withDBParameterGroupName(String dBParameterGroupName)` The name of the database parameter group to associate with this DB instance.
`CreateDBInstanceRequest` | `withDBSecurityGroups(Collection<String> dBSecurityGroups)` A list of DB Security Groups to associate with this DB Instance.
`CreateDBInstanceRequest` | `withDBSecurityGroups(String... dBSecurityGroups)` A list of DB Security Groups to associate with this DB Instance.
`CreateDBInstanceRequest` | `withEngine(String engine)` The name of the database engine to be used for this instance.
`CreateDBInstanceRequest` | `withMasterUsername(String masterUsername)` The name of master user for the client DB Instance.
`CreateDBInstanceRequest` | `withMasterUserPassword(String masterUserPassword)` The password for the master DB Instance user.
`CreateDBInstanceRequest` | `withMultiAZ(Boolean multiAZ)` Sets the value of the MultiAZ property for this object.
`CreateDBInstanceRequest` | `withPort(Integer port)` The port number on which the database accepts connections.
`CreateDBInstanceRequest` | `withPreferredBackupWindow(String preferredBackupWindow)` The daily time range during which automated backups are created if automated backups are enabled, as determined by the BackupRetentionPeriod.
`CreateDBInstanceRequest` | `withPreferredMaintenanceWindow(String preferredMaintenanceWindow)` The weekly time range (in UTC) during which system maintenance can occur.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CreateDBInstanceRequest

    public CreateDBInstanceRequest()

Method Detail

### getDBName

    public String getDBName()

  The name of the database to create when the DB Instance is created. If this parameter is not specified, no database is created in the DB Instance.

  Returns:
    The name of the database to create when the DB Instance is created. If this parameter is not specified, no database is created in the DB Instance.

### setDBName

    public void setDBName(String dBName)

  The name of the database to create when the DB Instance is created. If this parameter is not specified, no database is created in the DB Instance.

  Parameters:
    `dBName` - The name of the database to create when the DB Instance is created. If this parameter is not specified, no database is created in the DB Instance.

### withDBName

    public CreateDBInstanceRequest withDBName(String dBName)

  The name of the database to create when the DB Instance is created. If this parameter is not specified, no database is created in the DB Instance.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `dBName` - The name of the database to create when the DB Instance is created. If this parameter is not specified, no database is created in the DB Instance.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getDBInstanceIdentifier

    public String getDBInstanceIdentifier()

  The DB Instance identifier. This parameter is stored as a lowercase string.

  Returns:
    The DB Instance identifier. This parameter is stored as a lowercase string.

### setDBInstanceIdentifier

    public void setDBInstanceIdentifier(String dBInstanceIdentifier)

  The DB Instance identifier. This parameter is stored as a lowercase string.

  Parameters:
    `dBInstanceIdentifier` - The DB Instance identifier. This parameter is stored as a lowercase string.

### withDBInstanceIdentifier

    public CreateDBInstanceRequest withDBInstanceIdentifier(String dBInstanceIdentifier)

  The DB Instance identifier. This parameter is stored as a lowercase string.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `dBInstanceIdentifier` - The DB Instance identifier. This parameter is stored as a lowercase string.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getAllocatedStorage

    public Integer getAllocatedStorage()

  The amount of storage (in gigabytes) to be initially allocated for the database instance.

  Returns:
    The amount of storage (in gigabytes) to be initially allocated for the database instance.

### setAllocatedStorage

    public void setAllocatedStorage(Integer allocatedStorage)

  The amount of storage (in gigabytes) to be initially allocated for the database instance.

  Parameters:
    `allocatedStorage` - The amount of storage (in gigabytes) to be initially allocated for the database instance.

### withAllocatedStorage

    public CreateDBInstanceRequest withAllocatedStorage(Integer allocatedStorage)

  The amount of storage (in gigabytes) to be initially allocated for the database instance.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `allocatedStorage` - The amount of storage (in gigabytes) to be initially allocated for the database instance.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getDBInstanceClass

    public String getDBInstanceClass()

  The compute and memory capacity of the DB Instance.

  Returns:
    The compute and memory capacity of the DB Instance.

### setDBInstanceClass

    public void setDBInstanceClass(String dBInstanceClass)

  The compute and memory capacity of the DB Instance.

  Parameters:
    `dBInstanceClass` - The compute and memory capacity of the DB Instance.

### withDBInstanceClass

    public CreateDBInstanceRequest withDBInstanceClass(String dBInstanceClass)

  The compute and memory capacity of the DB Instance.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `dBInstanceClass` - The compute and memory capacity of the DB Instance.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getEngine

    public String getEngine()

  The name of the database engine to be used for this instance.

  Returns:
    The name of the database engine to be used for this instance.

### setEngine

    public void setEngine(String engine)

  The name of the database engine to be used for this instance.

  Parameters:
    `engine` - The name of the database engine to be used for this instance.

### withEngine

    public CreateDBInstanceRequest withEngine(String engine)

  The name of the database engine to be used for this instance.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `engine` - The name of the database engine to be used for this instance.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getMasterUsername

    public String getMasterUsername()

  The name of master user for the client DB Instance.

  Returns:
    The name of master user for the client DB Instance.

### setMasterUsername

    public void setMasterUsername(String masterUsername)

  The name of master user for the client DB Instance.

  Parameters:
    `masterUsername` - The name of master user for the client DB Instance.

### withMasterUsername

    public CreateDBInstanceRequest withMasterUsername(String masterUsername)

  The name of master user for the client DB Instance.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `masterUsername` - The name of master user for the client DB Instance.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getMasterUserPassword

    public String getMasterUserPassword()

  The password for the master DB Instance user.

  Returns:
    The password for the master DB Instance user.

### setMasterUserPassword

    public void setMasterUserPassword(String masterUserPassword)

  The password for the master DB Instance user.

  Parameters:
    `masterUserPassword` - The password for the master DB Instance user.

### withMasterUserPassword

    public CreateDBInstanceRequest withMasterUserPassword(String masterUserPassword)

  The password for the master DB Instance user.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `masterUserPassword` - The password for the master DB Instance user.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getDBSecurityGroups

    public List<String> getDBSecurityGroups()

  A list of DB Security Groups to associate with this DB Instance.

  Returns:
    A list of DB Security Groups to associate with this DB Instance.

### setDBSecurityGroups

    public void setDBSecurityGroups(Collection<String> dBSecurityGroups)

  A list of DB Security Groups to associate with this DB Instance.

  Parameters:
    `dBSecurityGroups` - A list of DB Security Groups to associate with this DB Instance.

### withDBSecurityGroups

    public CreateDBInstanceRequest withDBSecurityGroups(String... dBSecurityGroups)

  A list of DB Security Groups to associate with this DB Instance.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `dBSecurityGroups` - A list of DB Security Groups to associate with this DB Instance.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withDBSecurityGroups

    public CreateDBInstanceRequest withDBSecurityGroups(Collection<String> dBSecurityGroups)

  A list of DB Security Groups to associate with this DB Instance.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `dBSecurityGroups` - A list of DB Security Groups to associate with this DB Instance.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getAvailabilityZone

    public String getAvailabilityZone()

  The EC2 Availability Zone that the database instance will be created in.

  Returns:
    The EC2 Availability Zone that the database instance will be created in.

### setAvailabilityZone

    public void setAvailabilityZone(String availabilityZone)

  The EC2 Availability Zone that the database instance will be created in.

  Parameters:
    `availabilityZone` - The EC2 Availability Zone that the database instance will be created in.

### withAvailabilityZone

    public CreateDBInstanceRequest withAvailabilityZone(String availabilityZone)

  The EC2 Availability Zone that the database instance will be created in.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `availabilityZone` - The EC2 Availability Zone that the database instance will be created in.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getPreferredMaintenanceWindow

    public String getPreferredMaintenanceWindow()

  The weekly time range (in UTC) during which system maintenance can occur.

  Returns:
    The weekly time range (in UTC) during which system maintenance can occur.

### setPreferredMaintenanceWindow

    public void setPreferredMaintenanceWindow(String preferredMaintenanceWindow)

  The weekly time range (in UTC) during which system maintenance can occur.

  Parameters:
    `preferredMaintenanceWindow` - The weekly time range (in UTC) during which system maintenance can occur.

### withPreferredMaintenanceWindow

    public CreateDBInstanceRequest withPreferredMaintenanceWindow(String preferredMaintenanceWindow)

  The weekly time range (in UTC) during which system maintenance can occur.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `preferredMaintenanceWindow` - The weekly time range (in UTC) during which system maintenance can occur.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getDBParameterGroupName

    public String getDBParameterGroupName()

  The name of the database parameter group to associate with this DB instance. If this argument is omitted, the default DBParameterGroup for the specified engine will be used.

  Returns:
    The name of the database parameter group to associate with this DB instance. If this argument is omitted, the default DBParameterGroup for the specified engine will be used.

### setDBParameterGroupName

    public void setDBParameterGroupName(String dBParameterGroupName)

  The name of the database parameter group to associate with this DB instance. If this argument is omitted, the default DBParameterGroup for the specified engine will be used.

  Parameters:
    `dBParameterGroupName` - The name of the database parameter group to associate with this DB instance. If this argument is omitted, the default DBParameterGroup for the specified engine will be used.

### withDBParameterGroupName

    public CreateDBInstanceRequest withDBParameterGroupName(String dBParameterGroupName)

  The name of the database parameter group to associate with this DB instance. If this argument is omitted, the default DBParameterGroup for the specified engine will be used.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `dBParameterGroupName` - The name of the database parameter group to associate with this DB instance. If this argument is omitted, the default DBParameterGroup for the specified engine will be used.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getBackupRetentionPeriod

    public Integer getBackupRetentionPeriod()

  The number of days for which automated backups are retained. Setting this parameter to a positive number enables backups. Setting this parameter to 0 disables automated backups.

  Returns:
    The number of days for which automated backups are retained. Setting this parameter to a positive number enables backups. Setting this parameter to 0 disables automated backups.

### setBackupRetentionPeriod

    public void setBackupRetentionPeriod(Integer backupRetentionPeriod)

  The number of days for which automated backups are retained. Setting this parameter to a positive number enables backups. Setting this parameter to 0 disables automated backups.

  Parameters:
    `backupRetentionPeriod` - The number of days for which automated backups are retained. Setting this parameter to a positive number enables backups. Setting this parameter to 0 disables automated backups.

### withBackupRetentionPeriod

    public CreateDBInstanceRequest withBackupRetentionPeriod(Integer backupRetentionPeriod)

  The number of days for which automated backups are retained. Setting this parameter to a positive number enables backups. Setting this parameter to 0 disables automated backups.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `backupRetentionPeriod` - The number of days for which automated backups are retained. Setting this parameter to a positive number enables backups. Setting this parameter to 0 disables automated backups.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getPreferredBackupWindow

    public String getPreferredBackupWindow()

  The daily time range during which automated backups are created if automated backups are enabled, as determined by the BackupRetentionPeriod.

  Returns:
    The daily time range during which automated backups are created if automated backups are enabled, as determined by the BackupRetentionPeriod.

### setPreferredBackupWindow

    public void setPreferredBackupWindow(String preferredBackupWindow)

  The daily time range during which automated backups are created if automated backups are enabled, as determined by the BackupRetentionPeriod.

  Parameters:
    `preferredBackupWindow` - The daily time range during which automated backups are created if automated backups are enabled, as determined by the BackupRetentionPeriod.

### withPreferredBackupWindow

    public CreateDBInstanceRequest withPreferredBackupWindow(String preferredBackupWindow)

  The daily time range during which automated backups are created if automated backups are enabled, as determined by the BackupRetentionPeriod.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `preferredBackupWindow` - The daily time range during which automated backups are created if automated backups are enabled, as determined by the BackupRetentionPeriod.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getPort

    public Integer getPort()

  The port number on which the database accepts connections.

  Returns:
    The port number on which the database accepts connections.

### setPort

    public void setPort(Integer port)

  The port number on which the database accepts connections.

  Parameters:
    `port` - The port number on which the database accepts connections.

### withPort

    public CreateDBInstanceRequest withPort(Integer port)

  The port number on which the database accepts connections.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `port` - The port number on which the database accepts connections.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### isMultiAZ

    public Boolean isMultiAZ()

  Returns the value of the MultiAZ property for this object.

  Returns:
    The value of the MultiAZ property for this object.

### setMultiAZ

    public void setMultiAZ(Boolean multiAZ)

  Sets the value of the MultiAZ property for this object.

  Parameters:
    `multiAZ` - The new value for the MultiAZ property for this object.

### withMultiAZ

    public CreateDBInstanceRequest withMultiAZ(Boolean multiAZ)

  Sets the value of the MultiAZ property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `multiAZ` - The new value for the MultiAZ property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getMultiAZ

    public Boolean getMultiAZ()

  Returns the value of the MultiAZ property for this object.

  Returns:
    The value of the MultiAZ property for this object.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.